<div class="wrapper">
  <section class="content">
    <article class="column">
      <form *ngIf="itValidation" class="input-group-form" [formGroup]="businessRequestor" (submit)="onSubmit()">
        <div class="container">
          <!-- Card for Start and Delivery Date-->
          <igx-card>
            <igx-card-header>
              <h5 igxCardHeaderTitle>Submission Date and Status</h5>
            </igx-card-header>
            <igx-card-content>
              <div class="form__group">
                <!-- Start and Delivery Submission Date -->
                <div class="date-picker">
                  <label for="startDate">First Submission Date</label>
                  <igx-date-picker #picker>
                    <ng-template igxDatePickerActions>
                      <div class="container action-buttons">
                        <button igxButton="flat" (click)="monthsView(picker)">months view</button>
                        <button igxButton="flat" (click)="yearsView(picker)">years view</button>
                      </div>
                    </ng-template>
                  </igx-date-picker>
                </div>
                <!-- End of Start and Delivery Submission Date -->

                <!-- Submission Requested Form Status -->
                <div class="input__group">
                  <label for="status">Requested Form Status</label>
                  <igx-input-group>
                    <label igxLabel for="hardware">Status</label>
                    <input igxInput name="hardware" type="text" required="required" />
                  </igx-input-group>
                </div>
                <!-- End of Submission Requested Form Status -->
              </div>
            </igx-card-content>
            <!-- Card Actions -->
            <igx-card-actions>
              <div class="igx-card-actions__igroup--start">
                <div class="igx-card-actions__bgroup">
                  <button igxButton igxRipple>Undo</button>
                </div>
                <div class="igx-card-actions__bgroup">
                  <button igxButton igxRipple>Confirm</button>
                </div>
              </div>
            </igx-card-actions>
          </igx-card>

          <!-- TODO: ADD DYNAMIC INPUTS-->
          <!-- Card for Follow Ups-->
          <igx-card>
            <igx-card-header>
              <h5 igxCardHeaderTitle>Follow Up</h5>
            </igx-card-header>
            <igx-card-content>
              <div class="form__group">
                <!-- Follow Up Date 1 -->
                <div class="date-picker">
                  <label for="startDate">Date 1</label>
                  <igx-date-picker #picker>
                    <ng-template igxDatePickerActions>
                      <div class="container action-buttons">
                        <button igxButton="flat" (click)="monthsView(picker)">months view</button>
                        <button igxButton="flat" (click)="yearsView(picker)">years view</button>
                      </div>
                    </ng-template>
                  </igx-date-picker>
                </div>

                <!-- Follow Up Comments 1 -->
                <div class="input__group">
                  <label for="status">Comments 1</label>
                  <igx-input-group>
                    <label igxLabel for="hardware">Comments</label>
                    <input igxInput name="hardware" type="text" required="required" />
                  </igx-input-group>
                </div>
              </div>

              <div class="form__group">
                <!-- Follow Up Date 2 -->
                <div class="date-picker">
                  <label for="startDate">Date 2</label>
                  <igx-date-picker #picker>
                    <ng-template igxDatePickerActions>
                      <div class="container action-buttons">
                        <button igxButton="flat" (click)="monthsView(picker)">months view</button>
                        <button igxButton="flat" (click)="yearsView(picker)">years view</button>
                      </div>
                    </ng-template>
                  </igx-date-picker>
                </div>

                <!-- Follow Up Comments 2 -->
                <div class="input__group">
                  <label for="status">Comments 2</label>
                  <igx-input-group>
                    <label igxLabel for="hardware">Comments</label>
                    <input igxInput name="hardware" type="text" required="required" />
                  </igx-input-group>
                </div>
              </div>
            </igx-card-content>
            <!-- Card Actions -->
            <igx-card-actions>
              <div class="igx-card-actions__igroup--start">
                <div class="igx-card-actions__bgroup">
                  <button igxButton igxRipple>Undo</button>
                </div>
                <div class="igx-card-actions__bgroup">
                  <button igxButton igxRipple>Confirm</button>
                </div>
              </div>
            </igx-card-actions>
          </igx-card>

          <!-- Card for Validation/Rejection-->
          <igx-card>
            <igx-card-header>
              <h5 igxCardHeaderTitle>Validation/Rejection Date</h5>
            </igx-card-header>
            <igx-card-content>
              <div class="form__group">
                <!-- Validation/Rejection Date -->
                <div class="date-picker">
                  <label for="startDate">Date</label>
                  <igx-date-picker #picker>
                    <ng-template igxDatePickerActions>
                      <div class="container action-buttons">
                        <button igxButton="flat" (click)="monthsView(picker)">months view</button>
                        <button igxButton="flat" (click)="yearsView(picker)">years view</button>
                      </div>
                    </ng-template>
                  </igx-date-picker>
                </div>
                <!-- End of Validation/Rejection Date-->

                <!-- Validation/Rejection Comments -->
                <div class="input__group">
                  <label for="status">Comments</label>
                  <igx-input-group>
                    <label igxLabel for="hardware">Comments</label>
                    <input igxInput name="hardware" type="text" required="required" />
                  </igx-input-group>
                </div>
                <!-- End Of Validation Rejection Comments-->
              </div>
            </igx-card-content>
            <!-- Validation/Rejection Actions -->
            <!-- TODO: BUTTON FOR DETAILS ON VALIDATION/REJECTION-->
            <igx-card-actions>
              <div class="igx-card-actions__igroup--start">
                <div class="igx-card-actions__bgroup">
                  <button igxButton igxRipple>Undo</button>
                </div>
                <div class="igx-card-actions__bgroup">
                  <button igxButton igxRipple>Confirm</button>
                </div>
              </div>
            </igx-card-actions>
          </igx-card>

          <!-- Card for Workload and Estimated Planning -->
          <igx-card>
            <igx-card-header>
              <h5 igxCardHeaderTitle>Rough Estimated Workload</h5>
            </igx-card-header>
            <igx-card-content>
              <div class="form__group">
                <!-- Follow Up Date -->
                <div class="date-picker">
                  <label for="startDate">Date</label>
                  <igx-date-picker #picker>
                    <ng-template igxDatePickerActions>
                      <div class="container action-buttons">
                        <button igxButton="flat" (click)="monthsView(picker)">months view</button>
                        <button igxButton="flat" (click)="yearsView(picker)">years view</button>
                      </div>
                    </ng-template>
                  </igx-date-picker>
                </div>

                <!-- Status -->
                <div class="input__group">
                  <label for="status">Comments</label>
                  <igx-input-group>
                    <label igxLabel for="hardware">Comments</label>
                    <input igxInput name="hardware" type="text" required="required" />
                  </igx-input-group>
                </div>
              </div>
              <div class="form__group">
                <!-- Follow Up Date 2 -->
                <div class="date-picker">
                  <label for="startDate">Estimated Planning Start Date</label>
                  <igx-date-picker #picker>
                    <ng-template igxDatePickerActions>
                      <div class="container action-buttons">
                        <button igxButton="flat" (click)="monthsView(picker)">months view</button>
                        <button igxButton="flat" (click)="yearsView(picker)">years view</button>
                      </div>
                    </ng-template>
                  </igx-date-picker>
                </div>

                <!-- Follow Up Comments 2 -->
                <div class="date-picker">
                  <label for="startDate">Estimated Planning End Date</label>
                  <igx-date-picker #picker>
                    <ng-template igxDatePickerActions>
                      <div class="container action-buttons">
                        <button igxButton="flat" (click)="monthsView(picker)">months view</button>
                        <button igxButton="flat" (click)="yearsView(picker)">years view</button>
                      </div>
                    </ng-template>
                  </igx-date-picker>
                </div>
              </div>
            </igx-card-content>
            <!-- Card Actions -->
            <igx-card-actions>
              <div class="igx-card-actions__igroup--start">
                <div class="igx-card-actions__bgroup">
                  <button igxButton igxRipple>Undo</button>
                </div>
                <div class="igx-card-actions__bgroup">
                  <button igxButton igxRipple>Confirm</button>
                </div>
              </div>
            </igx-card-actions>
          </igx-card>
          <!-- Comments-->
          <igx-card>
            <igx-card-header>
              <h5 igxCardHeaderTitle>Comments</h5>
            </igx-card-header>
            <igx-card-content>
              <!-- Comments -->
              <igx-input-group>
                <label igxLabel for="comments">Comments</label>
                <input igxInput #isTextArea name="comments" type="text" [formControl]="comments" required="required" />
                <ng-template textArea(isTextArea)></ng-template>
              </igx-input-group>
            </igx-card-content>
            <!-- Card Actions -->
            <igx-card-actions>
              <div class="igx-card-actions__igroup--start">
                <div class="igx-card-actions__bgroup">
                  <button igxButton igxRipple>Undo</button>
                </div>
                <div class="igx-card-actions__bgroup">
                  <button igxButton igxRipple>Confirm</button>
                </div>
              </div>
            </igx-card-actions>
          </igx-card>
          <!-- Validators -->

          <button igxButton="raised" igxRipple>Next</button>
        </div>
      </form>
    </article>
  </section>
</div>
